org.richfaces.ui.output.outputPanel

## Class AbstractOutputPanel

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.richfaces.ui.output.outputPanel.AbstractOutputPanel

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AjaxOutputProps, CoreProps, EventsKeyProps, EventsMouseProps, I18nProps, AjaxOutput
  Direct Known Subclasses:
    UIOutputPanel

      public abstract class AbstractOutputPanel
      extends javax.faces.component.UIPanel
      implements AjaxOutput, AjaxOutputProps, CoreProps, EventsKeyProps, EventsMouseProps, I18nProps

  The <r:outputPanel> component is used to group together components in to update them as a whole, rather than having to specify the components individually.

  Author:
    asmirnov@exadel.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOutputPanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getDir()` Direction indication for text that does not inherit directionality.
    `abstract String` | `getLang()` Code describing the language used in the generated markup for this component.
    `abstract OutputPanelLayout` | `getLayout()` HTML layout for generated markup.
    `abstract String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `abstract String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `abstract String` | `getOnkeydown()` Javascript code executed when a key is pressed down over this element.
    `abstract String` | `getOnkeypress()` Javascript code executed when a key is pressed and released over this element.
    `abstract String` | `getOnkeyup()` Javascript code executed when a key is released over this element.
    `abstract String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `abstract String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `abstract String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `abstract String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `abstract String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.
    `abstract String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `abstract String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `abstract String` | `getTitle()` Advisory title information about markup elements generated for this component.
    `abstract boolean` | `isAjaxRendered()` getter for ajax-rendered flag property.
    `abstract boolean` | `isKeepTransient()` getter for ajax-rendered flag property.

    - ### Methods inherited from class javax.faces.component.UIPanel

      `getFamily`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.ui.common.AjaxOutput

      `setAjaxRendered, setKeepTransient`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractOutputPanel

          public AbstractOutputPanel()

  - ### Method Detail

    - #### isAjaxRendered

          public abstract boolean isAjaxRendered()

      Description copied from interface: `AjaxOutput`
      getter for ajax-rendered flag property.
      Specified by:
        `isAjaxRendered` in interface `AjaxOutputProps`
      Specified by:
        `isAjaxRendered` in interface `AjaxOutput`

    - #### isKeepTransient

          public abstract boolean isKeepTransient()

      Description copied from interface: `AjaxOutput`
      getter for ajax-rendered flag property.
      Specified by:
        `isKeepTransient` in interface `AjaxOutputProps`
      Specified by:
        `isKeepTransient` in interface `AjaxOutput`

    - #### getLayout

          public abstract OutputPanelLayout getLayout()

      HTML layout for generated markup. Possible values: "block" for generating an HTML <div> element and "inline" for generating an HTML <span> element. Default value is "inline"

    - #### getOnclick

          public abstract String getOnclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### getOndblclick

          public abstract String getOndblclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is double clicked over this element.
      Specified by:
        `getOndblclick` in interface `EventsMouseProps`

    - #### getOnkeydown

          public abstract String getOnkeydown()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed down over this element.
      Specified by:
        `getOnkeydown` in interface `EventsKeyProps`

    - #### getOnkeypress

          public abstract String getOnkeypress()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed and released over this element.
      Specified by:
        `getOnkeypress` in interface `EventsKeyProps`

    - #### getOnkeyup

          public abstract String getOnkeyup()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is released over this element.
      Specified by:
        `getOnkeyup` in interface `EventsKeyProps`

    - #### getOnmousedown

          public abstract String getOnmousedown()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is pressed down over this element.
      Specified by:
        `getOnmousedown` in interface `EventsMouseProps`

    - #### getOnmousemove

          public abstract String getOnmousemove()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved within this element.
      Specified by:
        `getOnmousemove` in interface `EventsMouseProps`

    - #### getOnmouseout

          public abstract String getOnmouseout()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved away from this element.
      Specified by:
        `getOnmouseout` in interface `EventsMouseProps`

    - #### getOnmouseover

          public abstract String getOnmouseover()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved onto this element.
      Specified by:
        `getOnmouseover` in interface `EventsMouseProps`

    - #### getOnmouseup

          public abstract String getOnmouseup()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is released over this element.
      Specified by:
        `getOnmouseup` in interface `EventsMouseProps`

    - #### getStyle

          public abstract String getStyle()

      Description copied from interface: `CoreProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `CoreProps`

    - #### getStyleClass

          public abstract String getStyleClass()

      Description copied from interface: `CoreProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `CoreProps`

    - #### getTitle

          public abstract String getTitle()

      Description copied from interface: `CoreProps`
      Advisory title information about markup elements generated for this component.
      Specified by:
        `getTitle` in interface `CoreProps`

    - #### getDir

          public abstract String getDir()

      Description copied from interface: `I18nProps`
      Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).
      Specified by:
        `getDir` in interface `I18nProps`

    - #### getLang

          public abstract String getLang()

      Description copied from interface: `I18nProps`
      Code describing the language used in the generated markup for this component.
      Specified by:
        `getLang` in interface `I18nProps`

Copyright © 2014 JBoss by Red Hat. All rights reserved.